
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1179

Length of ffaudio-handled streams from #1160 & #1176 are the dreaded "419:57:08" instead of zero.

August 08, 2022 01:08 - Jim Turner

Status: Closed Start date: August 08, 2022

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 4.3   

Affects version: 4.2   

Description

This is a follow-on to closed Issue #1160, and perhaps #1176, discovered during testing of both.  Streams not being set to zero

length.  Here's a patch that has seemed to work well for me from some other code for quite some time now for both continuous and

time-limited streams, and files.

History

#1 - August 08, 2022 17:53 - Jim Turner

- File ffaudio-core.cc.diff added

Oops - I had been using "if ((int)ic->duration != 0)" forever, but when looking it it here I suddenly thought that negative duration values didn't make

sense so I changed it to "if ((int)ic->duration > 0)".  I then discovered a case where it DOES, and reverting it back to the former works returning the

correct time, so updated the attachment here.

Jim

#2 - August 24, 2022 22:42 - John Lindgren

Fixed, thanks:

https://github.com/audacious-media-player/audacious-plugins/commit/79df25fc23e3bb8502ca60eb9e2c497c299fe7be

#3 - August 24, 2022 22:43 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

#4 - February 04, 2023 19:11 - Thomas Lange

- Target version set to 4.3

Files

ffaudio-core.cc.diff 583 Bytes August 08, 2022 Jim Turner

ffaudio-core.cc.diff 584 Bytes August 08, 2022 Jim Turner
